/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Page {
    Container {
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }


            Container {
	            topPadding: 10
	            bottomPadding: topPadding
	            leftPadding: 10
	            rightPadding: leftPadding

                Label {
                    multiline: true
                    text: qsTr("Remove all the clutterness in the Camera folder and Screen Shots with Camera Organizer.  Let Camera Organizer automatically file your pictures and screen shots.")
                }

                Label {
                    multiline: true
                    text: qsTr("Camera Organizer allows you to organize every picture and screen shot that you take from your BlackBerry.  You decide which folder the new picture or screen shot will go after it has been taken.  You can even tell the application to save to the same folder for the next 5, 10, 15 or 30 pictures or for the next 5, 10 or 30 minutes.")
                }

                Label {
                    multiline: true
                    text: qsTr("Searching for the right picture or screen shot is now easier than ever.  Just open the Pictures application and then open the folder with all your pictures and screen shots.  No more looking through 100s of pictures and wasting time.")
                }

                Label {
                    multiline: true
                    text: qsTr("Clear Action")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When you take a picture or screen shot you were given an Action to save to the same folder.  At anytime you can run Camera Organizer and clear the action.  This is useful if you want to re-select a different folder to save the pictures or screen shots before the Action times out.")
                }
                
                Label {
                    multiline: true
                    text: qsTr("How to View Pictures and Screen Shots")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Use the Pictures application to view your pictures and screen shots.  Just open the CameraOrg folder and all your pictures or screen shots will be there.")
                }

                Label {
                    multiline: true
                    text: qsTr("Box and Dropbox Integration")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you have a Box or Dropbox account you can create a new folder and restore your pictures in the cloud.  When using Box and Dropbox internet is required.")
                }

                Label {
                    multiline: true
                    text: qsTr("Sharing")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("After you have taken a picture or a screen shot you can Share it right way without finding the picture.  When Camera Organizer displays the menu select Share.")
                }


                Label {
                    multiline: true
                    text: qsTr("Application Permission")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
	            
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
                    
                    text: qsTr("If you had denied any Application Permissions for the application it may not work properly.  To set the Permissions run the Settings application, select Security and Privacy, select Application Permissions and select Camera Organizer and set all to Allow.")
                }
                
                        
                Divider {
                    
                }                

	            
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
                    
                    text: "Camera Organizer 3.0.1\nCopyright © 2015 Toysoft Inc.\nAll Rights Reserved.\nwww.toysoft.ca\nsupport@toysoft.ca"
                    horizontalAlignment: HorizontalAlignment.Center
                }// Label
                


	        }// Container
	
	    }// RecipeContainer
	}

	    actions: [

            ActionItem {
                title: qsTr("Add Review")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_feedback.png"
                
                onTriggered: {
                    addreview.trigger("bb.action.OPEN")
                }
            }
	        
	    ]

	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

        Invocation {
            id: addreview
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://content/59967976"
            query.invokeActionId: "bb.action.OPEN"
        },

	    Invocation
	    {
	         id: invokeappworld
             query.mimeType: "application/x-bb-appworld"
             query.uri: "appworld://vendor/184"
             query.invokeActionId: "bb.action.OPEN"
	         
	     }

	  ]

    titleBar: TitleBar {
        title: "Help"

    }

}// RecipePage