import bb.cascades 1.3
import bb.cascades.pickers 1.0

Sheet {
    
    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Edit Folder") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _folder.cancelFolder()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _folder.saveFolder(false)
                }
            
            }
            objectName: "title"
        } // title
        
        actions: [
            ActionItem {                
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Reset Counter") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_clear.png"
                onTriggered: {
                    _folder.clearCounter()
                }
                objectName: "action_reset"
            },
            
            
            ActionItem {                
              ActionBar.placement: ActionBarPlacement.Signature
              title: qsTr("Delete") + Retranslate.onLanguageChanged	            
              imageSource: "asset:///images/ic_delete.png"
              onTriggered: {
                  _folder.deleteFolder()
              }
              objectName: "action_delete"
            },

            ActionItem {                
                  ActionBar.placement: ActionBarPlacement.OnBar
                  title: qsTr("Browse") + Retranslate.onLanguageChanged	            
                  imageSource: "asset:///images/ic_open.png"
                  onTriggered: {
                      filePicker.open()
                  }
                  objectName: "action_browse"
            },

            ActionItem {                
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Manage") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_manage.png"
                onTriggered: {
                    manage_pictures.open()
                }
                objectName: "action_manage"
            },

            ActionItem {                
                     title: qsTr("Help") + Retranslate.onLanguageChanged	            
                     imageSource: "asset:///images/ic_info.png"
                     onTriggered: {
                         _folder.NewFolderHelp()
                     }
            }
        
        ]
        
        objectName: "page"
        ScrollView {
            Container {
                topPadding: 10
                leftPadding: 10
                rightPadding: 10
                
                horizontalAlignment: HorizontalAlignment.Fill
        
            
                Header {
                    title: qsTr("Folder Name")
                }
                TextField {
                    hintText: qsTr("Enter a folder name.")
                    maximumLength: 60
                    objectName: "tf_folder_name"
                }
                Header {
                    title: qsTr("Folder Description")
                }
                TextField {
                    hintText: qsTr("Enter a folder description.")
                    maximumLength: 60
                    objectName: "tf_folder_descr"
                }
                
                Header {
                    title: qsTr("File Naming")
                }
                TextField {
                    hintText: qsTr("Enter prefix name. eg: XMASParty_")
                    maximumLength: 60
                    objectName: "tf_renaming_prefix"
                }
                
                Header {
                    title: qsTr("Total Pictures")
                
                }
                Label {
                    objectName: "lb_total_pic"
                    
                }
                
                Header {
                    title: qsTr("Save To")
                }
                DropDown {
                    title: qsTr("Type")
                    objectName: "dd_device"
                    selectedIndex: 0
                    Option {
                        text: qsTr("Device")
                    }
                    Option {
                        text: qsTr("SD Card")
                    }
                    Option {
                        text: qsTr("Dropbox")
                    }
                    Option {
                        text: qsTr("Box")
                    }
                }
                Label {
                    text: qsTr("Saving to Box or Dropbox will use your data plan when Wifi is not available.")
                    multiline: true
                    textStyle.fontSize: FontSize.Small
                    textStyle.fontStyle: FontStyle.Italic
                }
                
                Divider {
                    
                }

                 Container
                 {
                     layout: DockLayout {
                     }
                     horizontalAlignment: HorizontalAlignment.Fill
                     topPadding: 10.0
                     Label {
                         text: qsTr("Set as quick button") + Retranslate.onLanguageChanged
                         horizontalAlignment: HorizontalAlignment.Left
                     }
                     CheckBox {
                         objectName: "cb_quickfolder"
                         horizontalAlignment: HorizontalAlignment.Right
                     }
                 } 

                Container {
                    objectName: "container_sdcard"
                    topPadding: 15
                    visible: false
                    Divider {
                    
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Save to SDCard") + Retranslate.onLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        ToggleButton {
                            id: tb_vip
                            objectName: "tb_sdcard"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } 
                }
                
            }
        
        }// scrollview
    
    
    }


    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: qsTr("Select a Picture") + Retranslate.onLanguageChanged	            
            directories : [ "/accounts/1000/shared"]
            onFileSelected: {
                _folder.browse_folder(selectedFiles)
            }
            viewMode: FilePickerViewMode.GridView
        },
    
        FilePicker {
             objectName: "fp_filepicker"
             id: manage_pictures
             type: FileType.Picture
             title: qsTr("Manage Pictures") + Retranslate.onLanguageChanged	            
             directories : [ "/accounts/1000/shared/misc/photos/CameraOrg"]
             viewMode: FilePickerViewMode.GridView
             mode: FilePickerMode.PickerMultiple
             onFileSelected: {                    
                 _folder.delete_pictures(selectedFiles);   
             }
        }

    
    ]

}

