/* Copyright (c) 2012 Research In Motion Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import bb.cascades 1.0

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Sheet {
    id: sheet
    Page {
        
        Container {
            ScrollView {
                scrollViewProperties {
                    scrollMode: ScrollMode.Vertical
                }
                
                
                Container {
                    topPadding: 10
                    bottomPadding: topPadding
                    leftPadding: 10
                    rightPadding: leftPadding
                    
                    Label {
                        multiline: true
                        text: qsTr("This screen allows you to add and edit a folder.")
                    }
                    
                    Label {
                        multiline: true
                        text: qsTr("You must enter a folder name.  Do not use punctuation in the folder name.  The folder name will be created on the Device or on the SDCard.")
                    }
                    
                    Label {
                        multiline: true
                        text: qsTr("Browse Existing Folder")
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }
                    Label {
                        multiline: true
                        text: qsTr("Select the Browse icon to select an existing folder.  When browsing just select a picture in the folder.")
                    }

                    
                    Label {
                        multiline: true
                        text: qsTr("File Naming")
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }
                    
                    
                    Label {
                        multiline: true
                        text: qsTr("File naming is optional.  If you set this then all the pictures will have the same name with a sequential number. eg: If you set the prefix as Outdoors_ then files will be saved as Outdoors_0001.jpg, Outdoors_0002.jpg and so on.  To reset the counter select the Reset Counter icon.")
                    }
                    
                    Label {
                        multiline: true
                        text: qsTr("Set Quick Button")
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }
    
                    Label {
                        multiline: true
                        text: qsTr("If you want the folder name to show up on the screen after you have taken a picture then check the checkbox.  This will allow you to quickly select the folder to file the picture.")
                    }

                    Label {
                        multiline: true
                        text: qsTr("Note:  There are limited number of folders that can be displayed on the screen.")
                    }
                
                    Label {
                        textFormat: TextFormat.Html
                        multiline: true
                        text: qsTr("If you do not check the folder then it will not be displayed.  You can then select the <b>Select Folder</b> and select the folder you want to file the picture.")
                    }
    
                    Label {
                        multiline: true
                        text: qsTr("Unlink and Delete a Folder")
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }

                    Label {
                        textFormat: TextFormat.Html
                        multiline: true
                        text: qsTr("To unlink a folder select the <b>Delete</b> icon.  This will remove the folder link from Camera Organizer.  You will then be prompted to delete all the pictures in the folder.  When the pictures are deleted you can not recover them.")
                    }

                
                }// Container
            
            }// RecipeContainer
        }
        
        
        titleBar: TitleBar {
            title: "New Folder Help"
        
        }
        
        actions: [
            ActionItem {                
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_clear.png"
                onTriggered: {
                    sheet.close()
                }
            }
        ]

    
    }// RecipePage
}