/*
 * Copyright (c) 2013-2014 BlackBerry Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import bb.cascades 1.4

NavigationPane {
    Page {
        titleBar: TitleBar {
            title: "Camera Organizer"
        }
        
        actions: [
            ActionItem {
                title: qsTr("Clear Action")
                imageSource: "asset:///images/ic_clear.png"
                onTriggered: {
                    _mainApp.clearAction()
                }
                ActionBar.placement: ActionBarPlacement.OnBar
            },
            
            
            ActionItem {
                title: qsTr("New")
                imageSource: "asset:///images/ic_new.png"
                onTriggered: {
                    _mainApp.edit_folder(-1)
                }
                ActionBar.placement: ActionBarPlacement.Signature
            }
        ]

        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ListView {
                id: listView
                dataModel: _mainApp.model
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _mainApp.selectedItem(indexPath)
                }
                
                objectName: "listview"
                leadingVisualSnapThreshold: 0.6            
            } // listview
            
            Container {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center
                ActivityIndicator {
                    running: true
                    preferredHeight: 100
                    preferredWidth: 100
                    objectName: "activity"
                }
                

            }
            
        
        } // container



    }
}

